<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
///Construtoras listar
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include "../includes/topo.php";

$id = $_GET['id']; 

$selcamp = mysql_query("SELECT * FROM campanhas WHERE id='$id'");
$camp = mysql_fetch_assoc($selcamp);


$sqle = mysql_query("SELECT * FROM l_estados ORDER BY estado asc");
$sqlr = mysql_query("SELECT * FROM ramos ORDER BY ramo asc");
$sqlt = mysql_query("SELECT * FROM tags ORDER BY tag asc");

if(isset($_GET['c'])){

  $id_cidade = $_GET['c'];
  $sqlc = mysql_query("SELECT * FROM l_bairros WHERE id_cidade = '$id_cidade' ORDER BY bairro asc");
  $sqluf = mysql_query("SELECT * FROM l_cidades WHERE id='$id_cidade'");
  $numc = mysql_num_rows($sqlc);
  $line = mysql_fetch_assoc($sqluf);
  $id_uf = $line['id_uf'];

}else{

  $sqlc = mysql_query("SELECT * FROM l_bairros WHERE id_cidade = '333333333' ORDER BY bairro asc");
  $sqluf = mysql_query("SELECT * FROM l_cidades WHERE id='4444444444'");
  $line = mysql_fetch_assoc($sqluf);  
    $id_uf = $line['id_uf'];

}

$num  =  mysql_num_rows($sqlc);

?>

<script type="text/javascript">
  // When the document is ready set up our sortable with it's inherant function(s)
  $(document).ready(function() {
    $("#test-list").sortable({
      handle : '.handle',
      update : function () {
      var order = $('#test-list').sortable('serialize');
      $("#info").load("process-sortable-city.php?"+order);  
   

      }
    });
}); 

</script>

        <ul class="breadcrumb">
          <li><a href="<?php echo sti('adm');  ?>">Home</a></li>
          <li class="active">Cadastro de Dados</li>
                </ul>


<div class="row">
   <div class="col-md-12">
<form name='cadastro' id='cadastro' action='adicionac.php' method='POST' >
        <table class="table table-bordered">

        <thead>

          <tr>
            <!-- <th>MOVER</th> -->

            <th colspan='5'>Selecione os critérios</th>  

            
          </tr>
        </thead>
        <tbody>
       
          <tr>
            <td  colspan='5'>
            <label></label>
          
               <div class="form-group">
                <div style='display:none' class="alert alert-success alert-dismissible fade in" id='msg' role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
      <strong>Cadastro realizado</strong> 
    </div>

                <div style='display:none' class="alert alert-warning alert-dismissible fade in" id='msg2' role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
      <strong>Preencha os campos corretamente</strong> 
    </div>


              <select id='estados' name='estados' class="form-control">
             <option>- Estado -</option>

                <?php while($lin = mysql_fetch_assoc($sqle)){ ?>                
                  <option value='<?php  echo $lin['id'];  ?>' <?php if(isset($id_uf)){ if($id_uf==$lin['id']) {echo 'selected';}    } ?> ><?php  echo $lin['estado'];  ?></option>
                <?php } ?>   

              </select>  <br />

                <div id='retc'>


                <select id='cidades' name='cidades' class="form-control">
              <option> - Cidade - </option>


              </select>  
            </div><br />



               <input type='hidden'  id='campanha' name='campanha' value='<?php echo $id;  ?>'> 
               <input type='hidden'  id='cidade' name='cidade'> 

                      <!--  <input type='text' class='form-control' name='cidades' placeholder='cidades'> -->
                             <p></p>
               <input type='submit' class='btn btn-warning form-control' id='addcidade'  value='Adiconar Cidade' />
               <br />
               <br />
               <br />

               <?php  


               $cit = unserialize($camp['cidades']);

               $selci = mysql_query("SELECT * FROM anuncios WHERE id_camp = '$id'");
             

               while($linha=mysql_fetch_assoc($selci)) { 

                $cidade = retorna($linha['id_cidade'], 'l_cidades');


                ?>


              <p><a href='delcidade.php?id=<?php echo $id ?>&cidade=<?php echo $cidade['id']; ?>'>x</a> <?php echo $cidade['cidade'];  ?> </p>

              <?php  }  ?>

          </td>

        </tr>
           
              <!--tr>
                 <td colspan='5'><strong>Último Cadastro</strong></td>  
              </tr>


                  <tr>


            <td colspan='4'>Fast Pet Shop dos Gatos Felizes - Recife</td>  
            <td colspan='1'>

             <a href="" class="btn btn-default" ><span class="glyphicon glyphicon-pencil"></span></a>
              <a href="" onclick="return confirma('Deseja deletar esta adastro?');" class="btn btn-default" ><span class="glyphicon glyphicon-trash"></i></a>



            </td>  

  
          </tr-->


        </tbody>
      </table>
</form>

</div><!-- col1 -->

</div><!-- row -->


<script type="text/javascript">
    $(document).ready(function(){

  $("#nameformat").click(function(){
         var nome = $( "#nome" ).val();
         var cidade = $( "#cidade" ).val();
         var bairro = $( "#bairro" ).val();
         var uf = $( "#uf" ).val();
         var empresa = $( "input[name=empresa]" ).val();

    $.ajax({   
      url: "nameformat.php",
      data: {'nome':nome,'cidade':cidade,'bairro':bairro,"uf":uf,'empresa':empresa},
      type: 'POST',
      beforeSend: function() {    


      },
    success: function(data)
    {

        $( "input[name=empresa]" ).val(data);

    }

  });

      });



 $("input[name=telefone]").keyup(function(){
    var tel = $("input[name=telefone]").val();
      if(tel.length > 7){

    $.ajax({   
      url: "checktel.php",
      data: {'tel':tel},
      type: 'POST',
      beforeSend: function() {    


      },
    success: function(data)
    {
 
      if(data=='2'){

           $('#avisotel').html('<a target="_blank" href="similares.php?tel='+tel+'">Telefone similar encontrado</a>');
            $('#avisotel').slideDown('slow');

     }else{
      $('#avisotel').slideUp('fast');
     }


    }

  });

      }

      });




 $("#ramo2").val($("#ramo").val());

 $(".tagin").change(function(){

    var tag  = $(this).val();
    var nome = $('#nome').val();

  if($(this).prop('checked')==true){ 

    $("#nome").val(nome+tag);

  }else{

    $("#nome").val(nome.replace(tag, ""));
   
  }

 });


      $("#estados").change(function(){
        var uf = $("#estados").val();

    $.ajax({   
      url: "retCidades.php?uf="+uf,
      type: 'GET',
      beforeSend: function() {    


      },
    success: function(data)
    {
 
        $('#retc').html(data);  
        $("#uf").val(uf);
        //bairro();
    }
  });

      });
    

  
function bairro() {
      $("#cidades").change(function(){

     var c = $("#cidades").val();


    $.ajax({   
      url: "retBairros.php?c="+c,
      type: 'GET',
      beforeSend: function() {    

      },
    success: function(data)
    {
 
        $('#retb').html(data);  
        $("#estados").attr('disabled', true);
            $("#cidades").attr('disabled', true);
        $("#cidade").val(c);
        travab();
        bairrosChange();

       
    }
    });

      });

    }



  
 $("#cadastrar").click(function(){
    var str = $( "#cadastro" ).serialize();

    $.ajax({   
      url: "cadastrar.php",
      data: str,
      type: 'POST',
      beforeSend: function() {    

        $('#avisotel').slideUp('fast');

      },
    success: function(data)
    {
 

        //alert(data);
        if(data=='1'){
/*          $('input[name=empresa]').val("");
          $('input[name=telefone]').val("");
          $('input[name=endereco]').val("");*/

          $('#msg').slideDown('slow',function(){


            $('#msg').delay('2000').slideUp('fast');

          });
        }else{
        alert(data);
          $('#msg2').slideDown('slow',function(){

            $('#msg2').delay('2000').slideUp('fast');

          });

        }
    }

  });

      });



    });
  </script>

<?php include "../includes/rodape.php"; ?>
